# soap_wsrm_message Struct Reference

Linked list of unacknowledged messages stored for retransmission. More...

`#include <wsrmapi.h>`

Collaboration diagram for soap_wsrm_message:

[legend]
List of all members.

## Public Attributes

ULONG64 | num
enum soap_wsrm_message_state | state
soap_wsrm_content * | list
soap_wsrm_content * | last
soap_wsrm_message * | next

## Detailed Description

Linked list of unacknowledged messages stored for retransmission.

## Member Data Documentation

struct soap_wsrm_content * soap_wsrm_message::last

| list of content blocks

struct soap_wsrm_content* soap_wsrm_message::list

struct soap_wsrm_message* soap_wsrm_message::next

| next message in list

ULONG64 soap_wsrm_message::num

| message number

enum soap_wsrm_message_state soap_wsrm_message::state

| (n)ack state

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/wsrmapi.h